This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532554 - Review Request: asterisk-sounds-moh-opsound - Music on hold sound files for Asterisk
Review Request: asterisk-sounds-moh-opsound - Music on hold sound files for ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-02 14:35 EST by Jeffrey C. Ollie
Modified: 2015-12-04 11:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 11:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2009-11-02 14:35:01 EST
Spec URL: http://jcollie.fedorapeople.org/asterisk-sounds-moh-opsound.spec
SRPM URL: http://jcollie.fedorapeople.org/asterisk-sounds-moh-opsound-2.02-1.fc12.src.rpm
Description:

Music on hold sound files for Asterisk.
Comment 1 Jason Tibbitts 2010-11-13 14:54:20 EST
Oddly, the asterisk documentation indicates this is non-free (http://www.asterisk.org/astdocs/node4.html) yet that's contradicted by but LICENSE-asterisk-moh-opsound-alaw file.

However, just to be doubly sure I checked the upstream sites and at least this bit:

manolo_camp-morning_coffee - Manolo Camp
beatbastard@gmx.net - http://ccmixter.org/people/ManoloCamp

is cc-by-nc and this:

neno_project-system - Reno Project
renoproject@hotmail.com - http://www.jamendo.com/en/album/23661

seems to be cc-by-nc-nd.

If there is explicit cc-by-sa permission given, is there any evidence of that anywhere?
Comment 2 Jeffrey C. Ollie 2010-11-13 17:01:53 EST
(In reply to comment #1)
> Oddly, the asterisk documentation indicates this is non-free
> (http://www.asterisk.org/astdocs/node4.html) yet that's contradicted by but
> LICENSE-asterisk-moh-opsound-alaw file.

Yes, there were older music on hold files that didn't have a free license.  

> However, just to be doubly sure I checked the upstream sites and at least this
> bit:
> 
> manolo_camp-morning_coffee - Manolo Camp
> beatbastard@gmx.net - http://ccmixter.org/people/ManoloCamp
> 
> is cc-by-nc and this:
> 
> neno_project-system - Reno Project
> renoproject@hotmail.com - http://www.jamendo.com/en/album/23661
> 
> seems to be cc-by-nc-nd.
> 
> If there is explicit cc-by-sa permission given, is there any evidence of that
> anywhere?

http://blogs.digium.com/2009/08/18/asterisk-music-on-hold-changes/
http://www.opsound.org/info/license/
Comment 3 Jason Tibbitts 2010-11-14 10:02:27 EST
Well, sure, I'm familiar with the license of the works from opsound.  The problem is that there seems to be no indication that the stuff came from opsound.

g.  I guess if you can find it somewhere with an acceptable license then we can use it as that license, but if you follow the URLs (which is the only real indication of where the the files come from) you get licensing information that conflicts.

Not to mention that opsound works are cc-by-sa 2.5, not 3.0 as stated in the LICENSE file.

So, massively confusing all around; the asterisk guys really seem have trouble with the whole license thing.  I honestly don't know what to do; my feeling is that we know we have at least one source that gives us a useful license, and the 2.5/3.0 thing is pretty minor, but I'd still like to see if spot has anything to add.  This has been sitting around for over a year so it shouldn't really hurt to wait a bit more so that we're sure we're OK.
Comment 4 Tom "spot" Callaway 2010-11-15 08:56:25 EST
The lack of indication that these files came from opsound is ... troubling. Adding Jared to the CC here, as he may be able to work with Digium to get this licensing confusion cleared up.
Comment 5 Tom "spot" Callaway 2012-07-27 14:29:37 EDT
Is there any update on clarifying the actual licenses for these files?
Comment 6 Raman Gupta 2015-02-21 10:55:04 EST
(In reply to Tom "spot" Callaway from comment #5)
> Is there any update on clarifying the actual licenses for these files?

Does this Asterisk wiki page (dated 2014) count as clarification / evidence of the Opsound sourcing / licensing?

https://wiki.asterisk.org/wiki/display/AST/Voice+Prompts+and+Music+on+Hold+License
Comment 7 Tom "spot" Callaway 2015-03-30 16:56:58 EDT
Alright. That should be sufficient for this to move forward, barring any contradictory evidence. Lifting FE-Legal.
Comment 8 Upstream Release Monitoring 2015-09-24 11:05:04 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 9 James Hogarth 2015-12-03 20:15:29 EST
Jeffrey with the unblocking of legal are you intending to progress this?

As per policy if there is no response within a week this bug will be closed so others of interest may take it up.

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 10 Jeffrey C. Ollie 2015-12-04 11:15:09 EST
I'm no longer interested in packaging this...

Note You need to log in before you can comment on or make changes to this bug.